Package com.logicaldoc.core.security.spring

# Class LDAuthenticationSuccessHandler

java.lang.Object
org.springframework.security.web.authentication.AbstractAuthenticationTargetUrlRequestHandler
org.springframework.security.web.authentication.SimpleUrlAuthenticationSuccessHandler
org.springframework.security.web.authentication.SavedRequestAwareAuthenticationSuccessHandler
com.logicaldoc.core.security.spring.LDAuthenticationSuccessHandler

All Implemented Interfaces:
  `org.springframework.security.web.authentication.AuthenticationSuccessHandler`

public class LDAuthenticationSuccessHandler extends org.springframework.security.web.authentication.SavedRequestAwareAuthenticationSuccessHandler
This handler gets the j_successurl request parameter and use it's value to redirect the user after a successful login.

Since:
  7.5
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`LDAuthenticationSuccessHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onAuthenticationSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)`

### Methods inherited from class org.springframework.security.web.authentication.SavedRequestAwareAuthenticationSuccessHandler

`setRequestCache`

### Methods inherited from class org.springframework.security.web.authentication.AbstractAuthenticationTargetUrlRequestHandler

`setAlwaysUseDefaultTargetUrl, setDefaultTargetUrl, setRedirectStrategy, setTargetUrlParameter, setUseReferer`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.security.web.authentication.AuthenticationSuccessHandler

`onAuthenticationSuccess`

## Constructor Details

### LDAuthenticationSuccessHandler

public LDAuthenticationSuccessHandler()

## Method Details

### onAuthenticationSuccess

public void onAuthenticationSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication) throws IOException, jakarta.servlet.ServletException

Specified by:
  `onAuthenticationSuccess` in interface `org.springframework.security.web.authentication.AuthenticationSuccessHandler`
Overrides:
  `onAuthenticationSuccess` in class `org.springframework.security.web.authentication.SavedRequestAwareAuthenticationSuccessHandler`
Throws:
  `IOException`
  `jakarta.servlet.ServletException`